﻿using System;
using System.Collections.Generic;
using DistributedGA.Core.Domain;

namespace DistributedGA.Core.Interface {

  public interface IMessageHandler {

    void Init(string lanIpPrefix, string contactServerUrl, string problemInstance, int messageCacheCapacty, double communicationRate);

    void PublishDataToNetwork(byte[] data);

    List<KeyValuePair<PeerInfo, byte[]>> GetDataFromNetwork();

    PeerInfo GetPeerInfo();

    List<PeerInfo> GetCurrentNetwork();

    void Dispose();

    event EventHandler<Exception> ExceptionOccurend;
  }
}
